import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class H11_Dia10 extends JFrame
{
	public H11_Dia10()
	{
		super ("Het gebruik van kleuren");
		
		setSize(400,300);
		setVisible(true);
	}
	
	public void paint (Graphics g)
	{
		super.paint(g);
		
		g.setColor(new Color(255,0,0));
		g.fillRect(25,25,100,20);
		g.drawString("Huidige RGB-waarde " + g.getColor(), 130, 40);
		
		g.setColor(new Color(0.0f, 1.0f, 0.0f));
		g.fillRect(25, 50, 100, 20 );
		g.drawString("Huidige RGB-waarde " + g.getColor(), 130, 65);
		
		g.setColor(Color.blue);
		g.fillRect(25, 75, 100, 20);
		g.drawString("Huidige RGB-waarde " + g.getColor(), 130, 90);
		
		Color kleur = Color.magenta;
		g.setColor(kleur);
		g.fillRect(25, 100, 100, 20);
		g.drawString("RGB-waarden " + kleur.getRed() + ", " + kleur.getGreen() + ", " + kleur.getBlue(), 130, 115);
	}
	
	public static void main (String args[])
	{
		H11_Dia10 application = new H11_Dia10();
		
		application.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}